Bug 827702 - ERROR with transaction check vs depsolve:
ERROR with transaction check vs depsolve:
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 09:52 EDT by Frank Starmer
Modified: 2014-01-21 18:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 15:31:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Starmer 2012-06-02 09:52:34 EDT
Description of problem:Upgraded F16 to F17 from DVD.  Then yum update.  Failed with check vs dep solve -  Was able to update everything except gtk2. Reported failure was libcups.so.2 is needed by gtk2-2.24.10-1.fc17.i686.  

Checking - cups-libs is installed: 
Package matching 1:cups-libs-1.5.2-12.fc17.x86_64 already installed.


Version-Release number of selected component (if applicable):


How reproducible: Always happens

Steps to Reproduce:
1.yum update
2.
3.
  
Actual results:
[cfs@queens ~]$ sudo yum update
[sudo] password for cfs: 
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Repository google-chrome is listed more than once in the configuration
Loading mirror speeds from cached hostfile
 * fedora: ftp.jaist.ac.jp
 * rpmfusion-free: mirror.cse.iitk.ac.in
 * rpmfusion-free-updates: mirror.cse.iitk.ac.in
 * rpmfusion-nonfree: mirror.cse.iitk.ac.in
 * rpmfusion-nonfree-updates: mirror.cse.iitk.ac.in
 * updates: ftp.jaist.ac.jp
Resolving Dependencies
--> Running transaction check
---> Package gtk2.i686 0:2.24.8-3.fc16 will be updated
---> Package gtk2.i686 0:2.24.10-1.fc17 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package        Arch           Version                   Repository        Size
================================================================================
Updating:
 gtk2           i686           2.24.10-1.fc17            fedora           3.2 M

Transaction Summary
================================================================================
Upgrade  1 Package

Total size: 3.2 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
ERROR with transaction check vs depsolve:
libcups.so.2 is needed by gtk2-2.24.10-1.fc17.i686
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
** Found 8 pre-existing rpmdb problem(s), 'yum check' output follows:
gtk2-2.24.8-3.fc16.i686 has missing requires of libcups.so.2
gtk2-2.24.10-1.fc17.x86_64 is a duplicate with gtk2-2.24.8-3.fc16.i686
sane-backends-1.0.22-10.fc17.x86_64 is a duplicate with sane-backends-1.0.22-10.fc16.x86_64
sane-backends-drivers-scanners-1.0.22-10.fc17.x86_64 is a duplicate with sane-backends-drivers-scanners-1.0.22-10.fc16.x86_64
sane-backends-libs-1.0.22-10.fc17.x86_64 is a duplicate with sane-backends-libs-1.0.22-10.fc16.x86_64
sbcl-1.0.56-1.fc17.x86_64 is a duplicate with sbcl-1.0.51-1.fc16.x86_64
setroubleshoot-plugins-3.0.40-1.fc17.noarch is a duplicate with setroubleshoot-plugins-3.0.38-1.fc17.noarch
setroubleshoot-server-3.1.11-1.fc17.x86_64 is a duplicate with setroubleshoot-server-3.1.11-1.fc16.x86_64
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-06-02.21-31.dXLKTb.yumtx


Expected results:
Update to succeed

Additional info:
Comment 1 Frank Starmer 2012-06-03 22:15:18 EDT
Resolved the problem by manually removing F16 rpms
Comment 2 James Antill 2013-05-21 15:31:50 EDT
 As it says, it was a preexiting problem.

Note You need to log in before you can comment on or make changes to this bug.